Update an existing team (full replace)
curl --request PATCH \
--url https://incoming.qomon.app/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"team": {
"id": 1,
"address": {
"addition": "<string>",
"building": "<string>",
"city": "<string>",
"country": "<string>",
"county": "<string>",
"door": "<string>",
"floor": "<string>",
"house_number": "<string>",
"infos": "<string>",
"postalcode": "<string>",
"state": "<string>",
"street": "<string>"
},
"description": "<string>",
"hide_users": true,
"leaders": [
{
"id": 1
}
],
"name": "<string>",
"private": true,
"users": [
{
"id": 1
}
]
}
}
}
'{
"data": {
"team": {
"id": 1,
"name": "<string>",
"address": {
"addition": "<string>",
"building": "<string>",
"city": "<string>",
"country": "<string>",
"county": "<string>",
"door": "<string>",
"floor": "<string>",
"housenumber": "<string>",
"id": 1,
"infos": "<string>",
"latitude": "<string>",
"location": "<string>",
"longitude": "<string>",
"pollingstation": "<string>",
"postalcode": "<string>",
"score": 123,
"state": "<string>",
"street": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"hide_users": true,
"leaders": [
{
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "<string>",
"avatar": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"city": "<string>",
"created": "2023-11-07T05:31:56Z",
"firstname": "<string>",
"group_id": [
123
],
"id": 123,
"locale": "<string>",
"location": "<string>",
"mail": "jsmith@example.com",
"phone": "<string>",
"postal": "<string>",
"role_data": {
"color": "<string>",
"id": 1,
"mobile": true,
"name": "<string>",
"order": 1,
"web": true
},
"status": "<string>",
"surname": "<string>",
"two_factor_enable": true
}
],
"private": true,
"updated_at": "2023-11-07T05:31:56Z",
"users": [
{
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "<string>",
"avatar": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"city": "<string>",
"created": "2023-11-07T05:31:56Z",
"firstname": "<string>",
"group_id": [
123
],
"id": 123,
"locale": "<string>",
"location": "<string>",
"mail": "jsmith@example.com",
"phone": "<string>",
"postal": "<string>",
"role_data": {
"color": "<string>",
"id": 1,
"mobile": true,
"name": "<string>",
"order": 1,
"web": true
},
"status": "<string>",
"surname": "<string>",
"two_factor_enable": true
}
]
}
},
"status": "<string>"
}Teams
Update an existing team (full replace)
Updates the team with the given ID.
PATCH
/
teams
Update an existing team (full replace)
curl --request PATCH \
--url https://incoming.qomon.app/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"team": {
"id": 1,
"address": {
"addition": "<string>",
"building": "<string>",
"city": "<string>",
"country": "<string>",
"county": "<string>",
"door": "<string>",
"floor": "<string>",
"house_number": "<string>",
"infos": "<string>",
"postalcode": "<string>",
"state": "<string>",
"street": "<string>"
},
"description": "<string>",
"hide_users": true,
"leaders": [
{
"id": 1
}
],
"name": "<string>",
"private": true,
"users": [
{
"id": 1
}
]
}
}
}
'{
"data": {
"team": {
"id": 1,
"name": "<string>",
"address": {
"addition": "<string>",
"building": "<string>",
"city": "<string>",
"country": "<string>",
"county": "<string>",
"door": "<string>",
"floor": "<string>",
"housenumber": "<string>",
"id": 1,
"infos": "<string>",
"latitude": "<string>",
"location": "<string>",
"longitude": "<string>",
"pollingstation": "<string>",
"postalcode": "<string>",
"score": 123,
"state": "<string>",
"street": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"hide_users": true,
"leaders": [
{
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "<string>",
"avatar": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"city": "<string>",
"created": "2023-11-07T05:31:56Z",
"firstname": "<string>",
"group_id": [
123
],
"id": 123,
"locale": "<string>",
"location": "<string>",
"mail": "jsmith@example.com",
"phone": "<string>",
"postal": "<string>",
"role_data": {
"color": "<string>",
"id": 1,
"mobile": true,
"name": "<string>",
"order": 1,
"web": true
},
"status": "<string>",
"surname": "<string>",
"two_factor_enable": true
}
],
"private": true,
"updated_at": "2023-11-07T05:31:56Z",
"users": [
{
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "<string>",
"avatar": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"city": "<string>",
"created": "2023-11-07T05:31:56Z",
"firstname": "<string>",
"group_id": [
123
],
"id": 123,
"locale": "<string>",
"location": "<string>",
"mail": "jsmith@example.com",
"phone": "<string>",
"postal": "<string>",
"role_data": {
"color": "<string>",
"id": 1,
"mobile": true,
"name": "<string>",
"order": 1,
"web": true
},
"status": "<string>",
"surname": "<string>",
"two_factor_enable": true
}
]
}
},
"status": "<string>"
}This endpoint performs a full replace of the team, meaning that any field not included in the payload will be reset to its zero value.
Authorizations
OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.
Body
application/json
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?
⌘I

